// React(-native) imports
import React from 'react';
import { StyleSheet, View, Image } from 'react-native';
import Svg, { Path, ClipPath, Defs, G } from 'react-native-svg';

export function Logo() {
    return (
        <View style={styles.container}>
            <SVG style={styles.logo} />
        </View>
    );
}

function SVG(props: any) {
    return (
        <Svg
            width={150}
            height={80}
            viewBox="0 0 150 80"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
            {...props}
        >
            <G clipPath="url(#prefix__clip0)">
                <Path
                    d="M97.852 48.106a16.766 16.766 0 003.541-2.306c.231-.326.488-.57.787-.733 2.021-2.062 3.283-4.735 3.283-8.004v-2.917a.795.795 0 01-.258.04c-.095 0-.19-.013-.285-.04l-.217 1.235c-2.008-.38-1.791-2.374-.434-3.053.773-.393 1.017-.678.787-.976a.308.308 0 00-.244-.122c-.285 0-.706.311-1.113.61a1.063 1.063 0 01-.651.203c-.529 0-1.099-.339-1.343-1.14l-.705.394c-.123-1.506.813-2.252 1.763-2.252.448 0 .909.163 1.262.489a.6.6 0 00.407.176c.434 0 .732-.543.149-.855-.556-.298-1.085-1.22-.57-1.804l-.841-.787c.38-.23.787-.339 1.167-.339.407 0 .8.136 1.126.407V15.696c-.258-.054-.556-.312-.556-.678 0-.407.244-.651.556-.774v-.881c-.638.135-1.113.529-1.303 1.072l-.895.013c-.041-.678.285-1.289.977-1.52v-.881a2.163 2.163 0 00-1.194.665c-.068.067-.122.149-.19.23l-.678.014c-.027-.651.298-1.235.909-1.438v-.407H69.906v.407c.624.203.95.787.909 1.438l-.678-.014c-.055-.081-.122-.149-.19-.23a2.403 2.403 0 00-1.194-.665v.882c.678.23 1.004.84.977 1.519l-.896-.014c-.19-.542-.664-.922-1.302-1.071v.882c.312.122.543.366.543.773a.72.72 0 01-.543.678V26.32a1.693 1.693 0 011.112-.394c.394 0 .8.122 1.167.34l-.841.786c.502.597-.027 1.506-.57 1.804-.583.312-.271.855.15.855a.603.603 0 00.407-.176 1.868 1.868 0 011.261-.489c.95 0 1.886.733 1.764 2.252l-.733-.407c-.244.8-.814 1.14-1.343 1.14-.244 0-.475-.068-.651-.204-.407-.298-.828-.61-1.112-.61a.29.29 0 00-.245.122c-.217.298.014.597.787.977 1.37.678 1.587 2.672-.434 3.052l-.217-1.234a1.03 1.03 0 01-.53.013v2.917c0 3.283 1.276 5.956 3.311 8.018.258.149.502.38.719.678 1.045.922 2.265 1.696 3.581 2.347h22.737z"
                    fill="#fff"
                />
                <Path
                    d="M100.769 11.11H72.267l-.394.828h29.113l-.217-.827zm3.853 5.02v9.809c.298.054.583.176.827.38V16.293l-.827-.163zm.298 18.016l-.217 1.235c-.027 0-.054-.014-.081-.014v1.71c0 2.292-.679 4.381-1.995 6.186a13.17 13.17 0 01-1.071 1.261l-32.274-32.3a2.412 2.412 0 00-.529-.177v.882c.678.23 1.004.84.977 1.519l-.896-.014c-.19-.542-.664-.922-1.302-1.071v.882c.312.122.543.366.543.773a.72.72 0 01-.543.678v10.555c.326-.272.719-.367 1.126-.367.393 0 .787.15 1.153.367l-.841.787c.502.596-.027 1.505-.57 1.804-.583.312-.271.855.15.855a.603.603 0 00.407-.177 1.868 1.868 0 011.261-.488c.95 0 1.886.732 1.764 2.252l-.733-.407c-.244.8-.814 1.14-1.343 1.14-.244 0-.475-.069-.651-.204-.407-.299-.828-.61-1.112-.61a.29.29 0 00-.245.121c-.217.299.014.597.787.977 1.302.651 1.56 2.523-.15 3.026l-.284.027-.217-1.235a1.035 1.035 0 01-.53.014v2.916c0 2.89.991 5.305 2.606 7.245.013.013.027.027.027.04.054.068.122.136.176.204l.04.04c.069.082.136.15.204.231 0 0 0 .014.014.014.068.081.149.149.217.23l.013.014c.095.054.177.122.258.19.163.136.326.298.461.488 1.045.923 2.266 1.696 3.582 2.347.15.082.298.163.461.23 2.17 1.086 5.345 2.267 10.894 2.267 5.548 0 8.723-1.18 10.893-2.266.163-.081.312-.163.462-.23a16.735 16.735 0 003.54-2.307l.082-.122c.013-.014.027-.027.04-.054.014-.014.027-.041.055-.055.013-.027.04-.04.054-.067.013-.014.013-.028.027-.028l.081-.081.014-.014.081-.08.014-.014c.027-.028.068-.055.095-.082.068-.054.136-.095.203-.136.014-.013.027-.013.041-.027 2.021-2.062 3.283-4.734 3.283-8.004v-2.876a.79.79 0 01-.502 0z"
                    fill="#C00"
                />
                <Path
                    d="M106.019 1.9c0-.15-.014-.286-.027-.435h-2.049c-.013 1.167-.312 2.293-.827 3.175-.353.597-.774 1.044-1.248 1.316h.149c2.211.013 4.002-1.805 4.002-4.057zm-2.076 7.773a2.807 2.807 0 00-.475-.041 3.32 3.32 0 00-.366.027c-.38.04-.76.163-1.058.38a1.43 1.43 0 00-.597 1.085h.638c.284-.23.624-.393.99-.475v.882c-.624.204-.95.787-.909 1.438l.678-.013c.055-.082.122-.15.19-.23.231-.245.624-.53 1.194-.666v.882c-.678.23-1.004.841-.977 1.52l.896-.014c.203-.57.705-.963 1.383-1.085v.868c-.352.108-.637.353-.637.8 0 .394.352.679.637.679l-.027.746h.014c.19 0 .352-.054.529-.136.556-.298.773-.95.76-1.546l.814-.394c0 .027.013.054.013.095.068.502 0 .99-.163 1.411l1.533 1.452a9.398 9.398 0 011.167-2.062 8.05 8.05 0 01.543-.624c-.665-.502-1.479-1.127-1.75-1.33-.855-.638-1.642-1.343-2.456-2.035a19.1 19.1 0 00-1.56-1.207 2.799 2.799 0 00-1.004-.407zm14.231 26.929a.738.738 0 00.366.095.892.892 0 00.746-.42c-.027-.15-.081-.313-.122-.462a4.113 4.113 0 00-.624-1.18 4.77 4.77 0 00-1.506-1.303c-.095-.054-.203-.122-.325-.19.434.53.692.91.854 1.235.177.325.258.583.38.827a.89.89 0 00.231 1.397zm-62.77-2.239c.162-.312.42-.705.854-1.234-.108.068-.23.135-.325.19a4.78 4.78 0 00-1.506 1.302c-.285.38-.475.787-.624 1.18-.054.15-.095.312-.122.462.163.257.448.42.746.42a.739.739 0 00.366-.095.888.888 0 00.312-1.289c-.027-.04-.054-.081-.095-.122.136-.23.217-.488.394-.814zm56.204-24.066c.163 0 .339-.014.515-.027-.529-.19-.949-.502-1.22-.936a2.143 2.143 0 01-.285-1.764c-.028 0-.055.014-.082.014-.637.135-.963.624-.841 1.275.176.977.787 1.438 1.913 1.438zm7.746 27.417a3.99 3.99 0 00.027-.42 1.657 1.657 0 01-1.614.04 1.697 1.697 0 01-.895-1.22 1.69 1.69 0 01.108-1.005s0-.013-.013-.013a20.34 20.34 0 00-1.221-.176 18.967 18.967 0 00-2.049-.123c-5.833 0-6.308 3.202-6.308 3.202-.909 3.405 1.818 4.938 1.818 4.938s.624 3.107-.76 4.287l-1.438-.488-.719-.245-.407-.135c-.651-.923-1.709-1.574-2.713-1.574-.977 0-1.913.624-2.374 2.239l1.017-.218c0 1.045.339 1.316.868 1.316.109 0 .231-.013.353-.027.149-.027.299-.054.461-.081.502-.095.869-.204 1.126-.204.245 0 .407.095.502.353.136.394-.244.638-.732.76-1.194.271-1.872 1.112-1.655 2.238.054.258.135.516.285.8.054.123.122.231.203.353 0 0 .014 0 .014.014l1.18-.72a.8.8 0 00.583.245c.448 0 .882-.325 1.045-.61l.041-.082c.135-.271.149-.583.149-.868 0-.163-.014-.326-.014-.475 0-.176 0-.325.041-.434a.746.746 0 01.434-.448.588.588 0 01.57.081c.285.204.285.516.244.828-.041.326-.095.624.081.896.014.027.028.04.041.068.068.08.149.162.231.23.054.04.298.217.298.285l-.122 1.438c.76-.054 1.601-.217 2.008-.909.081-.136.149-.312.19-.488.149-.53.217-1.18.298-2.09a2.99 2.99 0 00.896-.542c.325-.285.583-.638.732-1.085.407-1.221.76-3.663.217-6.24 0 0 5.467-.68 6.648-1.276.108-.828.217-1.655.325-2.415zM114.538 6.24s-.746.448-.597 1.154c.245.515.557 1.044.95 1.505l.76-.76c.895-.827 1.682-1.125 2.333-1.125.855 0 1.452.542 1.696 1.166.38.95.339 1.71.203 2.198-.108.367-.407.665-1.085.72-.122.013-.258.013-.393.013-1.398 0-3.229-.502-3.229-.502-.285 1.52-.461 1.818 1.709 1.818.502 0 1.126-.014 1.899-.041l-2.17.99c-.244-.013-.475-.027-.706-.027-1.6 0-2.876.475-3.88 1.248-.23.177-.447.367-.651.57-.773.787-1.329 1.764-1.723 2.795a11.42 11.42 0 00-.284.895c-.421 1.574-.475 3.215-.258 4.531.163-.203.325-.393.515-.583l.095-.095c.651-.638 1.75-1.737 3.066-2.415.489-.434.95-.868 1.398-1.343.963-1.017 1.817-2.143 2.455-3.419-.393 1.37-1.058 2.686-1.845 3.894-.312.475-.638.936-.977 1.384-.298.122-.57.257-.841.42-1.153.651-2.13 1.655-2.7 2.225-.339.326-.61.692-.868 1.072-.203.298-.38.597-.57.909-.135.23-.284.474-.42.705-.611.99-1.425 1.967-1.886 1.967-.163 0-.285-.122-.339-.393-.244-1.235-1.017-1.777-1.858-1.777-.394 0-.801.122-1.167.339l.841.787c-.502.596.027 1.505.57 1.804.583.312.271.855-.149.855a.6.6 0 01-.407-.177 1.869 1.869 0 00-1.262-.488c-.95 0-1.886.732-1.764 2.252l.733-.407c.244.8.814 1.14 1.343 1.14.244 0 .475-.068.651-.204.407-.299.828-.61 1.112-.61.095 0 .19.04.245.122.217.298-.014.596-.787.976-1.37.679-1.587 2.673.434 3.053l.217-1.235c.095.027.19.04.285.04.583 0 .99-.515 1.058-.895.095-.556.068-.895.095-1.248.014-.312.217-.447.421-.447.244 0 .488.176.515.488.041.583.027 1.343 1.058 1.52l.326 1.044c.977-.339 1.953-1.465.176-3.364-.027-.963.99-1.52 2.415-2.32.244-.136.502-.285.76-.434l.407-.244c.284-.177 1.383-.977 2.347-1.805l.841.448c-.177.15-.367.312-.584.502-.868.719-1.804 1.424-2.157 1.628l-.203.122c.922.855 1.913 1.6 2.808 2.198.366.244.719.474 1.045.678.325.203.637.38.895.53a5.61 5.61 0 011.723 1.478c.285.366.502.76.665 1.153.162.38.271.773.325 1.167.027.135.041.257.054.393.028.366.014.719-.027 1.058-.054.367-.095.733-.149 1.1a34.313 34.313 0 00-.163 1.654 23.223 23.223 0 00-.081 1.926c0 1.954.298 3.351 1.655 4.68.977.964 2.347 1.195 3.676 1.29.692.04 2.632.325 3.948.529.76.108 1.33.746 1.37 1.52.054 1.044.041 2.414-.325 2.875l-1.791-.244c-.421-.624-1.425-1.112-2.401-1.112-.76 0-1.506.298-1.927 1.085-.122.23-.23.502-.285.827-.013.095-.027.19-.04.299l.57-.23.325-.136c.014.081.027.149.041.217.19.787.597 1.071 1.085 1.071.231 0 .475-.067.733-.162a.641.641 0 01.095-.041c.461-.19.786-.34 1.031-.34.162 0 .285.069.393.259.149.257 0 .474-.258.65-.081.055-.19.11-.285.15-1.37.57-1.763 1.9-.502 3.283l.95-.841a.81.81 0 00.434.136c.461 0 .882-.421.991-.733.176-.475-.014-1.018-.082-1.411-.013-.108-.027-.217-.013-.298a.664.664 0 01.352-.489.564.564 0 01.258-.068c.081 0 .163.014.244.055.082.04.149.095.204.162.122.15.149.353.149.557 0 .108 0 .23.014.339.027.19.081.366.244.515.081.068.162.122.244.177.054.027.312.149.325.203l.123 1.33c.949-.231 1.994-.692 1.736-2.17a3.63 3.63 0 00-.258-.842 2.551 2.551 0 00-.163-.353 2.744 2.744 0 001.506-2.089c.122-.827-.013-3.771-.108-5.454a1.432 1.432 0 00-1.221-1.33 44.002 44.002 0 01-2.456-.406c-1.139-.244-2.238-.746-2.496-1.56-.217-.706-.095-.787-.027-1.506.054-.556.122-1.126.163-1.682 0-.082.013-.177.013-.258.014-.326 0-.665-.04-.99l.203.122c.217.122.448.203.679.271.257.068.515.095.786.095.57 0 1.126-.15 1.628-.461a2.91 2.91 0 001.411-2.578c-.041-1.886-1.112-3.215-2.143-4.504-.489-.61-1.004-1.248-1.384-1.926-1.207-2.17-1.492-4.531-.841-7.014.285-1.085.936-2.062 1.628-3.107.258-.393.502-.76.746-1.166 0 0 .543.244.895.163a1.15 1.15 0 00.299-.136c.827-.516 1.709-2.618 1.668-5.142-.027-2.008-.502-3.676-1.438-5.046.204.57.38 1.166.489 1.763.122.651.163 1.33.122 1.98a6.737 6.737 0 01-.394 1.9 6.87 6.87 0 00.014-1.9 7.23 7.23 0 00-.475-1.79 9.636 9.636 0 00-.732-1.451c.19 1.166.19 2.346-.122 3.812-.19.909-.584 1.777-.923 2.537-.312.691-.543 1.248-.638 1.709-.108.502-.04.882.299 1.194-.054.095-.122.19-.176.285-.15.23-.312.474-.475.719-.706 1.071-1.438 2.17-1.764 3.418-.705 2.714-.38 5.4.936 7.774.421.76.963 1.424 1.479 2.075.963 1.208 1.886 2.347 1.926 3.894a1.886 1.886 0 01-.922 1.682c-.624.38-1.37.407-2.008.095-.014-.014-.041-.014-.054-.027-.489-.258-.923-.746-1.18-1.316-.014-.027-.014-.054-.028-.081a20.698 20.698 0 00-1.126-2.66c-1.275-2.55-2.862-4.937-3.866-7.624-.868-2.306-.475-5.114-.475-5.114.882.353 2.171.393 2.171.393-.041-2.876 6.132-9.55 2.374-17.69-.258.42-.597.855-1.072 1.302l-.339.326v-1.18c1.967-2.035 1.058-3.975.326-4.626-.557.203-1.194.814-1.669 1.56l-.828-.272c.204-.339.435-.664.692-.963a.612.612 0 00-.257-.108c-.041 0-.095-.014-.163-.014-1.235 0-5.874 1.072-6.336 1.316l-.366 1.248c-1.262.34-2.428 1.018-3.256 1.465.068.353.448 1.153 1.221 1.058zm9.212 7.964c.339-.936.61-1.9.827-2.876a24.894 24.894 0 01-.488 2.984c-.231.99-.543 1.954-.909 2.903-.366.95-.787 1.873-1.221 2.782-.353.719-.719 1.424-1.085 2.13a6.227 6.227 0 01-1.194-.543c1.044-1.506 2.048-3.039 2.889-4.653.448-.882.855-1.791 1.181-2.727zm-3.568 1.479c-.217.65-.434 1.316-.706 1.967-.271.65-.61 1.289-.963 1.885l-.651 1.1a5.046 5.046 0 00-1.37-.286c.393-.46.8-.936 1.18-1.397.434-.53.828-1.058 1.194-1.614.353-.57.678-1.167.99-1.778.312-.61.611-1.234.923-1.845-.19.652-.394 1.316-.597 1.968zm-.272-11.735c-.949.936-1.261 1.506-1.261 1.506-1.262.054-1.533-.747-1.533-1.533 1.234.339 2.794.027 2.794.027zm-16.822 2.876H69.933v1.98c.448.041 1.017.19 1.52.543.57.42.922 1.072.935 1.737v.027h28.204v-.027c.014-.665.367-1.316.936-1.737.516-.38 1.113-.515 1.56-.556V6.824zm-26.21 3.568l-2.726-1.357 2.727-1.357 2.727 1.357-2.727 1.357zm9.62-.15c-1.33 0-2.416-.542-2.416-1.207s1.086-1.207 2.415-1.207c1.33 0 2.415.542 2.415 1.207s-1.085 1.207-2.415 1.207zm9.617.15L93.39 9.035l2.727-1.357 2.726 1.357-2.727 1.357zM67.803 48.16c.095-.258.258-.353.502-.353.258 0 .624.095 1.126.204.163.027.312.054.461.081.122.014.245.027.353.027.53 0 .868-.257.868-1.316l1.018.218c-.462-1.615-1.398-2.239-2.374-2.239-1.004 0-2.062.665-2.714 1.574l-.407.135-.691.272-1.438.488c-1.398-1.18-.76-4.287-.76-4.287s2.727-1.533 1.818-4.938c0 0-.475-3.202-6.308-3.202-.624 0-1.303.041-2.049.123-.448.054-.855.108-1.22.176 0 0 0 .014-.014.014.135.312.176.664.108 1.003-.095.53-.42.977-.895 1.221-.23.123-.489.19-.76.19-.298 0-.583-.081-.855-.23 0 .149.014.285.027.42.109.76.218 1.574.285 2.429 1.18.596 6.648 1.275 6.648 1.275-.53 2.577-.19 5.02.217 6.24.149.448.407.8.732 1.086.258.23.556.407.896.542.067.896.135 1.56.298 2.09.04.19.109.352.19.488.407.692 1.248.855 2.008.909l-.122-1.438c0-.068.257-.245.298-.285.082-.068.163-.15.23-.23.014-.028.028-.041.041-.069.177-.285.123-.583.082-.895-.04-.312-.04-.624.244-.828a.586.586 0 01.57-.08c.19.067.366.23.434.447.04.108.04.258.04.434 0 .15-.013.312-.013.475 0 .285.027.597.15.868l.04.081c.163.272.597.61 1.045.61a.8.8 0 00.583-.243l1.18.719s.014 0 .014-.014c.081-.122.136-.244.203-.353.136-.285.23-.542.285-.8.217-1.14-.461-1.967-1.655-2.238-.461-.15-.855-.394-.719-.8zm44.415 6.281a4.317 4.317 0 00-1.085-1.126c-.136-.081-.271-.149-.42-.23l-.38-.19c-.651.556-1.533.692-2.184.732l-.991.068.082-.99.081-1.031a2.682 2.682 0 01-.326-.34c0-.013-.013-.013-.013-.027a1.673 1.673 0 01-.163.353c-.298.516-1.004 1.031-1.777 1.031-.204 0-.393-.04-.583-.108l-.448.271c.027.027.068.054.095.081 1.451 1.343 2.537 1.493 4.382 1.913 1.248.285 2.415 1.004 2.808 2.293.231.746.19 1.56.149 2.333 0 0 2.551-1.451 1.194-4.314a12.025 12.025 0 00-.421-.719zm-17.405-.99c-.8-.814-1.655-1.506-2.51-1.913a9.695 9.695 0 00-2.075-.719 11.327 11.327 0 00-1.248-.203c-.23-.028-.448-.041-.665-.055-.57.027-1.18.041-1.818.041-.637 0-1.248-.014-1.818-.04-.217.013-.434.026-.678.054-.393.04-.814.108-1.248.203-.665.15-1.37.38-2.076.72-.854.42-1.709 1.098-2.51 1.912-.054.054-.094.095-.135.15-1.736 1.885-1.275 3.73-1.275 3.73s2.225-2.958 5.548-2.958c1.587 0 2.958.53 3.663.882l.516.271.515-.27c.706-.34 2.076-.883 3.663-.883 3.324 0 5.548 2.958 5.548 2.958s.475-1.845-1.275-3.73a1 1 0 00-.122-.15zm-17.256-.597c1.316-1.33 2.768-2.17 4.084-2.618a21.781 21.781 0 01-3.12-.72c-.096 0-.19-.013-.286-.013-.284 0-.57.014-.827.04-.76.096-1.479.232-2.17.232-1.805 0-3.392-.272-4.681-.625.136.177.258.367.34.584.203.502.243 1.072.121 1.655.055.013.095.027.15.04.244.055.474.11.664.136.367.068.584.082.584.082s-.326.176-.787.488c-.556.38-1.303.95-1.94 1.642-2.998 3.296.312 5.792.312 5.792s-.733-3.242.827-4.273c2.496-1.628 3.826-.23 6.62-2.36.041 0 .068-.041.11-.082zm-8.587.027l-.448-.271c-.176.068-.38.108-.583.108-.787 0-1.492-.515-1.777-1.03a2.048 2.048 0 01-.163-.353c0 .013-.014.013-.014.027a2.62 2.62 0 01-.325.339l.081 1.03.082.991-.99-.068c-.652-.04-1.52-.176-2.185-.732l-.38.19c-.15.081-.285.149-.42.23-.38.272-.76.624-1.086 1.126a4.665 4.665 0 00-.42.746c-1.357 2.863 1.194 4.315 1.194 4.315-.041-.774-.068-1.588.149-2.334.393-1.289 1.56-1.994 2.808-2.292 1.859-.435 2.93-.57 4.382-1.913.04-.055.068-.082.095-.109zm32.382-.719a10.36 10.36 0 00-.787-.488s.231-.027.584-.082c.189-.027.42-.081.664-.135.041-.014.095-.027.149-.041-.122-.583-.081-1.153.123-1.655a2.49 2.49 0 01.339-.583 17.776 17.776 0 01-4.68.624c-.692 0-1.411-.15-2.171-.231a8.032 8.032 0 00-.828-.04h-.271c-.909.284-1.94.528-3.12.718 1.316.448 2.767 1.276 4.083 2.619.04.04.068.067.095.108 2.795 2.13 4.124.733 6.62 2.36 1.561 1.018.828 4.274.828 4.274s3.296-2.496.312-5.793c-.638-.705-1.397-1.289-1.94-1.655zm32.572 4.22c.095.583.041 1.098-.176 1.56-.461.976-1.479 1.329-2.198 1.519l-.963.244-.095-.99-.095-.923a3.328 3.328 0 01-.258-.19c-.013.082-.041.163-.068.244-.23.638-.963 1.29-1.79 1.29-.082 0-.163 0-.245-.014l-.583.515-.624.556-.57-.624c-.8-.868-1.126-1.845-.922-2.74.068-.285.176-.556.339-.8-.502 0-.95-.19-1.289-.543a1.874 1.874 0 01-.325-.461l-.055.013-1.316.543.15-1.411c0-.054.013-.095.013-.15-.583.096-1.289.313-2.184.652a2.29 2.29 0 01-.38.163c-.068.027-.122.054-.19.068.285.162.57.325.828.488 1.289.827 2.17 1.723 2.632 2.659.285.298.597.624.936.99 1.397 1.492 3.283 2.184 5.223 2.184 3.323 0 6.756-2.048 7.963-5.657-.014.014-1.655.57-3.758.814zm-13.525-.3c-1.723-1.084-3.622-1.695-3.622-1.695.339.027.651.04.949.04.746 0 1.357-.094 1.859-.243.285-.082.542-.19.759-.299 1.588-.814 1.642-2.265 1.642-2.265-1.262.854-2.374 1.153-3.405 1.153-1.33 0-2.537-.475-3.771-.828a3.809 3.809 0 00-1.086-.15c-1.017 0-1.899.38-2.401.652.638.393 1.18.895 1.601 1.533.163.258.312.516.434.76.407.556.665 1.044 1.072 1.37.936.787 2.238.95 3.418 1.03 3.582.272 5.047 3.501 5.047 3.501a2.595 2.595 0 00-.041-2.09c-.447-.976-1.411-1.803-2.455-2.468zm-58.755-3.635c-.502-.271-1.37-.651-2.401-.651-.353 0-.706.04-1.085.15-1.248.352-2.442.827-3.772.827-1.03 0-2.143-.285-3.405-1.154 0 0 .068 1.452 1.642 2.266.217.109.474.217.76.299.501.149 1.125.244 1.858.244.298 0 .61-.014.95-.041 0 0-1.9.61-3.623 1.696-1.044.665-2.007 1.492-2.441 2.469-.285.637-.34 1.33-.041 2.089 0 0 1.451-3.229 5.046-3.5 1.18-.095 2.47-.258 3.42-1.031.406-.34.664-.828 1.07-1.37.123-.258.272-.502.435-.76a4.762 4.762 0 011.587-1.533zm-21.326 2.822a8.964 8.964 0 01-.162.352c-.123.313-.218.584-.258.842-.272 1.478.787 1.94 1.736 2.17l.122-1.33c.014-.053.272-.176.326-.203.081-.054.176-.108.244-.176.163-.15.217-.326.244-.516.014-.108.014-.217.014-.339.013-.203.04-.407.149-.556a.494.494 0 01.204-.163.532.532 0 01.244-.054c.095 0 .176.027.258.068a.664.664 0 01.352.488c.014.082 0 .19-.013.299-.068.393-.258.936-.082 1.41.109.313.53.733.99.733.15 0 .285-.04.435-.136l.95.841c1.26-1.383.867-2.713-.503-3.282a1.402 1.402 0 01-.285-.15c-.257-.176-.407-.407-.257-.65.108-.19.23-.259.393-.259.244 0 .556.15 1.031.34.027.013.054.027.095.04.258.095.502.163.733.163.488 0 .882-.285 1.085-1.072.014-.068.027-.149.04-.217l.326.136.57.23c-.014-.094-.027-.203-.04-.298a2.695 2.695 0 00-.286-.827c-.42-.774-1.166-1.086-1.926-1.086-.977 0-1.98.489-2.401 1.113l-1.79.244c-.367-.462-.38-1.818-.327-2.876a1.62 1.62 0 011.37-1.52c1.303-.19 3.257-.474 3.948-.529 1.316-.095 2.686-.325 3.677-1.288 1.356-1.344 1.655-2.74 1.655-4.68 0-.639-.027-1.276-.082-1.927-.04-.556-.108-1.113-.162-1.655-.041-.367-.095-.733-.15-1.1a4.58 4.58 0 01.028-1.45c.067-.394.176-.774.325-1.168.163-.407.394-.786.665-1.153a5.611 5.611 0 011.723-1.478c.258-.15.57-.326.895-.53.326-.203.678-.42 1.045-.678a22.76 22.76 0 002.808-2.197l-.203-.123c-.34-.203-1.276-.895-2.157-1.627-.218-.177-.407-.34-.584-.503l.841-.447c.977.827 2.062 1.641 2.347 1.804l.407.244c.258.15.516.299.76.434 1.424.814 2.442 1.37 2.415 2.32-1.764 1.9-.8 3.025.176 3.365l.326-1.045c1.03-.176 1.017-.936 1.058-1.52a.517.517 0 01.515-.488c.204 0 .407.136.42.448.028.34 0 .692.096 1.248.067.38.474.895 1.058.895.095 0 .19-.013.285-.04l.217 1.234c2.008-.38 1.79-2.374.434-3.052-.773-.393-1.017-.678-.787-.977a.273.273 0 01.244-.122c.285 0 .706.312 1.113.61.176.136.407.204.65.204.53 0 1.1-.34 1.344-1.14l.733.407c.122-1.505-.814-2.252-1.764-2.252-.448 0-.909.163-1.262.489a.603.603 0 01-.407.176c-.434 0-.732-.542-.149-.854.556-.299 1.085-1.221.57-1.805l.84-.787a2.26 2.26 0 00-1.166-.339c-.84 0-1.614.543-1.858 1.777-.055.285-.177.394-.34.394-.46 0-1.275-.99-1.885-1.967-.15-.23-.285-.475-.42-.706-.177-.312-.367-.61-.57-.909-.258-.38-.53-.746-.869-1.071-.57-.57-1.56-1.56-2.7-2.225a9.727 9.727 0 00-.84-.42c-.34-.448-.679-.91-.977-1.385-.8-1.22-1.465-2.523-1.845-3.893.624 1.289 1.492 2.415 2.455 3.419.448.474.91.909 1.398 1.343 1.316.678 2.414 1.777 3.066 2.414l.094.095c.19.19.367.38.516.584.217-1.33.163-2.971-.258-4.531a9.83 9.83 0 00-.285-.896c-.393-1.044-.95-2.021-1.723-2.794a6.533 6.533 0 00-.65-.57c-1.005-.773-2.28-1.248-3.88-1.248-.231 0-.462.013-.706.027l-2.17-.99c.773.013 1.397.04 1.899.04 2.17 0 1.994-.298 1.709-1.818 0 0-1.831.502-3.229.502-.136 0-.271 0-.393-.013-.678-.055-.977-.353-1.086-.72-.135-.488-.176-1.247.204-2.197.244-.624.841-1.167 1.696-1.167.65 0 1.438.312 2.333 1.126l.76.76c.393-.461.705-.99.95-1.506.162-.705-.597-1.153-.597-1.153.773.095 1.153-.705 1.275-1.072-.828-.447-2.008-1.126-3.256-1.465l-.366-1.248c-.475-.244-5.115-1.316-6.336-1.316-.068 0-.108 0-.163.014a.551.551 0 00-.257.108c.257.285.488.61.692.963l-.828.272c-.461-.746-1.099-1.37-1.669-1.56-.746.65-1.641 2.59.326 4.626v1.18l-.34-.326a6.303 6.303 0 01-1.07-1.302c-3.759 8.14 2.414 14.814 2.373 17.69 0 0 1.289-.04 2.17-.393 0 0 .394 2.808-.474 5.114-1.004 2.686-2.591 5.074-3.866 7.625a21.7 21.7 0 00-1.126 2.659c-.014.027-.014.054-.027.081-.258.556-.692 1.045-1.18 1.316-.014.014-.041.014-.055.027-.638.326-1.384.285-2.008-.095a1.875 1.875 0 01-.922-1.682c.04-1.547.95-2.686 1.926-3.894.516-.65 1.058-1.316 1.479-2.075 1.316-2.374 1.641-5.06.936-7.774-.326-1.248-1.058-2.347-1.764-3.418l-.474-.72c-.068-.094-.123-.19-.177-.284.34-.312.407-.692.299-1.194-.095-.461-.34-1.018-.638-1.71-.34-.76-.733-1.627-.922-2.536-.313-1.466-.313-2.646-.123-3.812-.285.46-.529.95-.732 1.451a7.264 7.264 0 00-.475 1.79 6.854 6.854 0 00.014 1.9 6.86 6.86 0 01-.394-1.9c-.04-.664 0-1.329.122-1.98.109-.597.272-1.194.489-1.763-.936 1.37-1.411 3.038-1.438 5.046-.027 2.524.84 4.64 1.668 5.142.109.068.204.108.299.136.352.08.895-.163.895-.163.244.407.488.773.746 1.166.692 1.045 1.343 2.035 1.628 3.107.638 2.483.366 4.843-.841 7.014-.38.678-.882 1.316-1.384 1.926-1.03 1.289-2.102 2.619-2.143 4.504a2.91 2.91 0 001.41 2.578 3.144 3.144 0 001.629.461c.257 0 .529-.04.786-.095.231-.068.462-.15.679-.271l.203-.122c-.04.325-.054.664-.04.99 0 .081.013.176.013.258.04.556.122 1.126.163 1.682.068.719.19.8-.027 1.506-.258.814-1.357 1.302-2.496 1.56-.72.163-1.696.312-2.456.407a1.419 1.419 0 00-1.22 1.33c-.096 1.668-.231 4.626-.11 5.453a2.57 2.57 0 001.452 2.103zM55.865 3.92c0 .773-.285 1.587-1.533 1.533 0 0-.326-.57-1.262-1.506-.013 0 1.547.312 2.795-.027zm-2.754 11.64c.312.61.638 1.207.99 1.777.367.57.76 1.098 1.194 1.614.38.461.787.936 1.18 1.397a5.15 5.15 0 00-1.37.285l-.65-1.099a17.591 17.591 0 01-.964-1.885 21.302 21.302 0 01-.706-1.967c-.217-.652-.406-1.316-.596-1.981.312.624.61 1.248.922 1.858zm-2.09 4.436a29.762 29.762 0 01-1.22-2.782 24.777 24.777 0 01-.909-2.903c-.23-.99-.393-1.98-.488-2.984.217.977.488 1.94.827 2.876.34.936.746 1.845 1.194 2.727.841 1.614 1.845 3.147 2.89 4.653a6.268 6.268 0 01-1.194.543c-.38-.706-.746-1.411-1.1-2.13zM76.676 4.029h.936c.245.787.638 1.452 1.126 1.94h1.9c-.475-.271-.91-.719-1.249-1.316-.515-.882-.813-2.008-.827-3.174h-2.686c-.014 1.166-.312 2.292-.828 3.174-.352.597-.773 1.045-1.248 1.316h1.777c.462-.488.855-1.153 1.1-1.94zm-5.48 1.94h.203c-.475-.271-.909-.719-1.248-1.316-.516-.882-.814-2.008-.828-3.174H67.22c-.014.122-.014.244-.014.38-.027 2.224 1.818 4.11 3.989 4.11zm14.84-1.94h.937c.244.787.638 1.452 1.126 1.94h2.021c-.475-.271-.895-.719-1.248-1.316-.515-.882-.814-2.008-.827-3.174h-2.93c-.014 1.166-.313 2.292-.828 3.174-.353.597-.773 1.045-1.248 1.316h1.9c.46-.488.854-1.153 1.098-1.94zM52.054 55.405c.258-.163.529-.326.827-.489-.067-.027-.122-.054-.19-.068a10.515 10.515 0 01-.38-.163c-.895-.352-1.6-.556-2.184-.65 0 .054.014.094.014.149l.15 1.41-1.317-.542-.054-.014a2.337 2.337 0 01-.325.461c-.34.353-.787.543-1.29.543.164.244.272.516.34.8.203.896-.136 1.873-.922 2.74l-.57.625-.624-.556-.584-.516c-.081.014-.163.014-.244.014-.827 0-1.56-.651-1.79-1.29-.028-.08-.055-.162-.068-.243a3.124 3.124 0 01-.258.19l-.095.922-.095.99-.963-.244c-.72-.176-1.737-.542-2.198-1.52-.217-.46-.271-.976-.176-1.56-2.103-.243-3.758-.8-3.758-.8 1.207 3.623 4.64 5.657 7.963 5.657 1.94 0 3.84-.691 5.223-2.184.34-.352.638-.691.936-.99.461-.95 1.343-1.845 2.632-2.672zM95.546 4.029h.936c.244.787.637 1.452 1.126 1.94h1.858c-.474-.271-.909-.719-1.248-1.316-.515-.882-.814-2.008-.827-3.174H94.61c-.014 1.166-.312 2.292-.828 3.174-.353.597-.773 1.031-1.248 1.316h1.9c.474-.488.868-1.153 1.112-1.94zM62.81 15.262c.475.624.868 1.33 1.166 2.062l1.533-1.465c-.162-.42-.217-.909-.162-1.411 0-.027.013-.054.013-.095l.814.393c-.027.611.204 1.249.76 1.547.176.095.325.136.529.136h.014l-.028-.746c.272 0 .638-.285.638-.679 0-.447-.285-.692-.638-.8v-.868c.679.122 1.18.529 1.384 1.085l.895.014c.041-.679-.284-1.29-.976-1.52v-.882c.583.122.963.407 1.194.665.067.068.122.15.19.23l.678.014c.027-.651-.299-1.234-.91-1.438v-.882c.38.082.706.231.991.475h.638c-.014-.42-.258-.827-.597-1.085-.285-.204-.651-.326-1.018-.38a4.373 4.373 0 00-.42-.027c-.15 0-.285.013-.434.04a2.668 2.668 0 00-1.045.408c-.542.366-1.058.786-1.56 1.207-.814.678-1.6 1.397-2.455 2.035a199 199 0 00-1.75 1.33c.203.216.38.42.556.637zm.475-6.403c.122-.651-.204-1.126-.842-1.275-.027 0-.054-.014-.08-.014.148.556.08 1.167-.286 1.764-.271.42-.692.746-1.22.936.176.027.352.027.515.027 1.126 0 1.736-.461 1.913-1.438z"
                    fill="#fff"
                />
                <Path d="M9.09.624H0V77.83h9.09V.624z" fill="#FFB70B" />
                <Path
                    d="M86.497 10.242c1.334 0 2.415-.54 2.415-1.207s-1.081-1.207-2.415-1.207c-1.333 0-2.415.54-2.415 1.207s1.082 1.207 2.415 1.207zM79.592 9.035l-2.713-1.37-2.727 1.37 2.727 1.357 2.713-1.357zM98.843 9.035l-2.727-1.37-2.713 1.37 2.713 1.357 2.727-1.357z"
                    fill="#C00"
                />
                <Path
                    d="M137.411 54.78c-.027.014-1.614.53-3.622.76a3.64 3.64 0 001.221-2.238c.095-.679.068-2.578-.109-5.617a2.248 2.248 0 00-1.953-2.116 32.247 32.247 0 01-2.388-.394c-1.153-.257-1.777-.678-1.859-.976-.108-.326-.095-.366-.054-.665.014-.136.041-.298.068-.515.027-.245.041-.475.081-.733.041-.312.068-.638.095-.963v-.054c.258.054.529.08.787.08a3.86 3.86 0 002.062-.582 3.773 3.773 0 001.818-3.324c-.054-2.17-1.262-3.69-2.333-5.02-.489-.61-.963-1.194-1.303-1.804-1.098-1.98-1.356-4.124-.759-6.39.244-.936.854-1.872 1.506-2.849.135-.203.271-.42.407-.624.094.014.189.027.284.027.407 0 .747-.135.991-.284 1.56-.964 2.102-4.111 2.075-5.875-.04-3.69-1.492-6.349-4.409-8.126l-1.004-.61.38 1.112c.882 2.564 1.357 4.151.801 6.729-.177.828-.529 1.614-.868 2.374-.53 1.194-1.045 2.347-.597 3.283-.109.163-.217.34-.326.502-.746 1.126-1.519 2.293-1.872 3.676-.76 2.93-.407 5.834 1.017 8.398.448.814 1.018 1.52 1.56 2.198.909 1.14 1.71 2.116 1.737 3.378.013.529-.326.814-.516.936-.379.23-.827.244-1.221.04-.312-.162-.61-.488-.8-.868a21.133 21.133 0 00-1.194-2.822 73.387 73.387 0 00-1.451-2.713c-.896-1.628-1.75-3.16-2.374-4.83-.475-1.288-.529-2.767-.502-3.716.678.122 1.275.149 1.383.149l.882.027-.013-.882c-.014-.665.515-1.818 1.112-3.16 1.642-3.637 4.124-9.117.936-15.398-.027-.041-.041-.095-.068-.136.136-.434.177-.828.163-1.153-.014-1.208-.61-2.157-1.153-2.646l-.38-.339-.475.163c-.312.108-.61.298-.909.529a1.38 1.38 0 00-.759-.366c-.082-.014-.163-.014-.272-.014-1.316 0-6.104 1.085-6.728 1.411l-.326.163-.109.353-.23.8c-1.058.353-2.022.882-2.741 1.275a2.753 2.753 0 01-.284.15l-.543.298.122.61c.014.095.488 2.483 1.872 4.097l.068.068c-.339.027-.638.054-.909.054-.827 0-1.479-.244-1.791-.732-.488-.76-.135-1.574.434-1.994a2.338 2.338 0 00-.976-.217c-.217 0-.462.027-.733.095-1.085.244-1.696 1.153-1.492 2.252.23 1.316 1.153 2.13 2.754 2.13a5.85 5.85 0 001.044-.095c.543-.096 1.099-.258 1.655-.435 0 .027-.013.041-.013.068-.136.76-.258 1.411.163 1.94a6.876 6.876 0 00-3.121 1.438c-.732-.556-1.722-1.302-1.872-1.424-.583-.434-1.126-.91-1.709-1.398-.231-.203-.475-.407-.719-.61a23.453 23.453 0 00-1.628-1.262 3.321 3.321 0 00-1.479-.556V6.417a4.942 4.942 0 002.931-4.504c0-.448-.055-.868-.177-1.275h-3.649c.027.244.041.488.041.746 0 2.17-1.086 4.083-2.429 4.083-1.343 0-2.428-1.913-2.428-4.083 0-.258.014-.502.04-.746h-4.571a6.7 6.7 0 01.04.746c0 2.17-1.085 4.083-2.428 4.083s-2.428-1.913-2.428-4.083c0-.258.014-.502.04-.746h-4.72a6.7 6.7 0 01.04.746c0 2.17-1.085 4.083-2.428 4.083S79.39 3.554 79.39 1.384a6.7 6.7 0 01.04-.746h-4.463a6.7 6.7 0 01.041.746c0 2.17-1.085 4.083-2.428 4.083S70.15 3.554 70.15 1.384a6.7 6.7 0 01.041-.746h-3.704c-.108.393-.162.8-.162 1.22a5.037 5.037 0 002.74 4.464v2.496a3.4 3.4 0 00-1.52.57c-.583.393-1.125.84-1.627 1.261-.245.204-.475.408-.72.611-.583.488-1.125.963-1.709 1.397-.149.109-1.14.855-1.872 1.425a6.808 6.808 0 00-3.12-1.438c.42-.543.298-1.194.163-1.94 0-.014-.014-.04-.014-.068.556.19 1.113.34 1.655.434.38.068.72.095 1.045.095 1.6 0 2.523-.814 2.754-2.13.203-1.099-.407-2.008-1.492-2.252a3.877 3.877 0 00-.733-.095 2.34 2.34 0 00-.977.217c.57.42.923 1.235.434 1.994-.312.502-.976.733-1.79.733a4.96 4.96 0 01-.882-.081l.068-.068c1.383-1.615 1.858-3.989 1.872-4.097l.122-.61-.543-.3c-.095-.053-.19-.094-.285-.148-.732-.394-1.682-.923-2.74-1.276l-.23-.8-.11-.353-.325-.163c-.624-.325-5.413-1.41-6.728-1.41-.095 0-.19 0-.272.013-.298.04-.556.177-.76.366a3.16 3.16 0 00-.908-.529l-.475-.162-.394.312c-.542.488-1.14 1.438-1.153 2.645 0 .326.04.719.163 1.153-.027.054-.054.095-.068.136-3.188 6.281-.705 11.762.936 15.397.597 1.33 1.126 2.483 1.113 3.161l-.014.882.882-.027c.095 0 .692-.027 1.384-.15.027.95-.014 2.443-.502 3.718-.624 1.669-1.479 3.202-2.374 4.83-.489.881-.99 1.79-1.452 2.713a23.227 23.227 0 00-1.194 2.822c-.19.38-.475.705-.8.868-.394.203-.841.19-1.221-.04a1.03 1.03 0 01-.516-.937c.027-1.248.814-2.238 1.737-3.378.543-.678 1.099-1.37 1.56-2.198 1.424-2.564 1.777-5.467 1.017-8.397-.352-1.384-1.126-2.55-1.872-3.677-.108-.162-.217-.339-.325-.502.447-.936-.055-2.089-.597-3.283-.34-.76-.692-1.546-.868-2.374-.557-2.59-.082-4.165.8-6.729l.38-1.112-1.004.61c-2.917 1.778-4.368 4.437-4.409 8.127-.027 1.763.529 4.924 2.076 5.874.244.15.57.285.99.285.095 0 .176-.014.285-.027.135.203.271.42.407.624.65.976 1.261 1.913 1.506 2.849.583 2.265.325 4.422-.76 6.39-.34.61-.8 1.193-1.302 1.804-1.072 1.33-2.28 2.835-2.334 5.02a3.788 3.788 0 001.818 3.323 3.861 3.861 0 002.062.583c.271 0 .53-.027.787-.081v.054c.027.326.054.651.095.963.027.258.054.489.081.733.014.217.041.38.068.515.04.285.054.34-.054.665-.095.298-.706.72-1.859.977-.556.122-1.383.258-2.387.393a2.27 2.27 0 00-1.954 2.117c-.163 3.038-.203 4.938-.108 5.616.135.895.57 1.682 1.22 2.238-2.007-.23-3.608-.76-3.622-.76l-1.614-.542.543 1.614a8.97 8.97 0 003.513 4.627 9.462 9.462 0 005.25 1.614c2.252 0 4.3-.841 5.78-2.374.013.42.094.827.257 1.248l.746 1.858.828-1.817c.054-.109 1.316-2.768 4.328-2.998 1.288-.096 2.753-.285 3.893-1.235h.014c0 .312.027.61.108.909.407 1.682 1.859 2.537 1.913 2.564l1.343.773-.081-1.546c-.028-.665-.068-1.425.122-2.049.339-1.126 1.519-1.546 2.184-1.71.163-.04.325-.08.475-.108 1.098-.244 1.994-.447 2.916-.99-.393.773-.556 1.56-.474 2.36.19 1.995 1.817 3.243 1.885 3.297l1.859 1.397-.516-2.265c-.19-.868-.339-2.85.461-3.365.99-.65 1.737-.732 2.605-.827.72-.082 1.492-.176 2.401-.57-.705 1.56-.407 2.835-.38 2.903l.435 1.723 1.071-1.424c.014-.027 2.022-2.619 4.87-2.619 2.063 0 3.731 1.018 3.745 1.031l.447.272.448-.272c.014-.013 1.682-1.03 3.744-1.03 2.85 0 4.857 2.604 4.87 2.618l1.072 1.424.434-1.723c.014-.068.326-1.343-.38-2.903.91.394 1.683.488 2.402.57.868.095 1.628.19 2.604.827.801.53.665 2.497.462 3.365l-.516 2.265 1.859-1.397c.068-.054 1.695-1.302 1.885-3.297.082-.8-.081-1.587-.474-2.36.922.529 1.817.733 2.916.99.15.041.312.068.475.109.665.149 1.845.583 2.184 1.71.19.623.149 1.383.122 2.048l-.081 1.546 1.343-.773c.068-.04 1.519-.882 1.913-2.564.068-.299.108-.61.108-.909h.014c1.139.95 2.605 1.126 3.893 1.234 3.012.231 4.274 2.89 4.328 2.999l.827 1.818.747-1.86c.162-.42.257-.84.257-1.247 1.479 1.533 3.528 2.374 5.779 2.374 1.845 0 3.704-.57 5.251-1.614a8.901 8.901 0 003.513-4.627l.543-1.614-1.628.583zm-25.803-44.483c-1.139 0-1.736-.461-1.913-1.438-.122-.651.204-1.126.842-1.275.027 0 .054-.014.081-.014-.149.556-.082 1.167.285 1.764.271.42.692.746 1.221.936-.177.013-.353.027-.516.027zm-49.543-.963c.38-.584.434-1.208.285-1.764.027 0 .054.014.081.014.638.135.963.624.841 1.275-.176.977-.786 1.438-1.913 1.438-.162 0-.339-.014-.515-.027.53-.19.95-.502 1.22-.936zm49.326 5.82c.204-.204.421-.394.651-.57 1.004-.774 2.279-1.248 3.88-1.248.231 0 .461.013.706.027l2.17-.99c-.773.013-1.397.04-1.899.04-2.171 0-1.994-.298-1.709-1.818 0 0 1.831.502 3.228.502.136 0 .272 0 .394-.013.678-.055.977-.353 1.085-.72.136-.488.176-1.247-.203-2.197-.245-.624-.841-1.167-1.696-1.167-.651 0-1.438.312-2.334 1.126l-.759.76a6.81 6.81 0 01-.95-1.506c-.163-.705.597-1.153.597-1.153-.773.095-1.153-.706-1.275-1.072.827-.448 2.008-1.126 3.256-1.465l.366-1.248c.475-.244 5.114-1.316 6.335-1.316.068 0 .109 0 .163.014.095.013.19.054.258.108-.258.285-.488.61-.692.963l.828.272c.461-.747 1.098-1.37 1.668-1.56.746.65 1.642 2.59-.325 4.626v1.18l.339-.326a6.267 6.267 0 001.071-1.302c3.758 8.14-2.414 14.814-2.374 17.69 0 0-1.288-.04-2.17-.393 0 0-.394 2.808.475 5.114 1.004 2.686 2.591 5.074 3.866 7.624.434.869.814 1.75 1.126 2.66.014.027.014.054.027.08.258.557.692 1.046 1.18 1.317.014.013.041.013.055.027.637.326 1.383.285 2.007-.095.611-.366.936-.99.923-1.682-.041-1.547-.95-2.686-1.927-3.894-.515-.65-1.058-1.316-1.478-2.075-1.316-2.374-1.642-5.06-.936-7.774.325-1.248 1.058-2.347 1.763-3.418.163-.245.312-.475.475-.72a3.14 3.14 0 00.176-.284c-.339-.312-.406-.692-.298-1.194.095-.462.339-1.018.638-1.71.339-.76.732-1.627.922-2.536.312-1.466.312-2.646.122-3.813.285.462.529.95.733 1.452.23.57.393 1.167.475 1.79a6.87 6.87 0 01-.014 1.9 6.838 6.838 0 00.393-1.9c.041-.664 0-1.329-.122-1.98a9.962 9.962 0 00-.488-1.764c.936 1.37 1.411 3.04 1.438 5.047.027 2.523-.841 4.64-1.669 5.142a1.127 1.127 0 01-.298.135c-.353.082-.895-.162-.895-.162-.245.407-.489.773-.747 1.166-.691 1.045-1.343 2.035-1.628 3.107-.637 2.483-.366 4.843.842 7.014.379.678.881 1.316 1.383 1.926 1.031 1.289 2.103 2.618 2.144 4.504a2.91 2.91 0 01-1.411 2.578 3.142 3.142 0 01-1.628.46c-.258 0-.529-.04-.787-.094a3.212 3.212 0 01-.678-.271l-.204-.123c.041.326.055.665.041.99 0 .082-.014.177-.014.259-.04.556-.122 1.126-.162 1.682-.068.719-.19.8.027 1.506.258.814 1.356 1.302 2.496 1.56.719.163 1.696.312 2.455.407a1.418 1.418 0 011.221 1.33c.095 1.668.231 4.625.109 5.453-.136.909-.665 1.682-1.506 2.09.054.121.109.243.163.352.122.312.217.583.258.84.271 1.48-.787 1.94-1.737 2.172l-.122-1.33c-.014-.054-.271-.176-.326-.203-.081-.055-.176-.109-.244-.177-.163-.149-.217-.325-.244-.515-.013-.109-.013-.217-.013-.34-.014-.203-.041-.407-.15-.556a.49.49 0 00-.203-.163.534.534 0 00-.244-.054.56.56 0 00-.258.068.665.665 0 00-.353.489c-.013.08 0 .19.014.298.068.393.257.936.081 1.41-.108.313-.529.733-.99.733a.776.776 0 01-.434-.135l-.95.84c-1.262-1.383-.868-2.712.502-3.282.109-.04.203-.095.285-.15.258-.176.407-.406.258-.65-.109-.19-.231-.258-.394-.258-.244 0-.556.149-1.031.339-.027.013-.054.027-.095.04-.258.095-.502.163-.732.163-.489 0-.882-.285-1.086-1.071l-.04-.218-.326.136-.57.23c.014-.094.027-.203.041-.298a2.69 2.69 0 01.285-.827c.42-.773 1.167-1.086 1.926-1.086.977 0 1.981.489 2.401 1.113l1.791.244c.366-.461.38-1.818.326-2.876a1.621 1.621 0 00-1.37-1.52c-1.303-.19-3.256-.474-3.948-.528-1.316-.095-2.686-.326-3.677-1.29-1.356-1.342-1.655-2.74-1.655-4.68 0-.637.028-1.275.082-1.926.041-.556.108-1.112.163-1.655.04-.366.095-.733.149-1.099a4.608 4.608 0 00-.027-1.451 6.284 6.284 0 00-.326-1.167 5.168 5.168 0 00-.665-1.153 5.61 5.61 0 00-1.723-1.48c-.257-.148-.569-.325-.895-.528-.325-.204-.678-.42-1.044-.678a22.76 22.76 0 01-2.809-2.198l.204-.122c.339-.204 1.275-.896 2.157-1.628.217-.177.407-.34.583-.502l-.841-.448c-.977.828-2.062 1.642-2.347 1.805l-.407.244c-.258.149-.515.298-.759.434-1.425.814-2.442 1.37-2.415 2.32 1.763 1.899.8 3.025-.177 3.364l-.325-1.045c-1.031-.176-1.018-.936-1.058-1.519a.517.517 0 00-.516-.488c-.203 0-.407.135-.42.447-.028.34 0 .692-.095 1.248-.068.38-.475.896-1.059.896-.094 0-.189-.014-.284-.04l-.217 1.234c-2.008-.38-1.791-2.374-.435-3.053.774-.393 1.018-.678.787-.977a.308.308 0 00-.244-.122c-.285 0-.705.312-1.112.61a1.065 1.065 0 01-.652.204c-.529 0-1.098-.339-1.343-1.14l-.691.421c-.123-1.506.814-2.252 1.763-2.252.448 0 .909.163 1.262.489a.6.6 0 00.407.176c.434 0 .732-.543.149-.855-.556-.298-1.085-1.22-.57-1.804l-.841-.787c.38-.23.787-.339 1.167-.339.841 0 1.614.543 1.858 1.777.055.285.177.394.34.394.461 0 1.275-.99 1.885-1.967.149-.231.285-.475.421-.706.176-.312.366-.61.57-.909.257-.38.529-.746.868-1.072.57-.57 1.56-1.56 2.699-2.224a9.96 9.96 0 01.841-.421c.34-.448.679-.909.977-1.384.801-1.22 1.465-2.523 1.845-3.893-.624 1.289-1.492 2.415-2.455 3.419a21.7 21.7 0 01-1.398 1.343c-1.315.678-2.414 1.777-3.065 2.414l-.095.095c-.19.19-.367.38-.516.584-.217-1.33-.163-2.971.258-4.532a9.56 9.56 0 01.285-.895c.393-1.03.963-2.008 1.736-2.795zm5.074-5.386c.515-.177 1.031-.312 1.519-.312.407 0 .787.095 1.14.298-.014.163-.041.299-.054.366v.014s-.068.068-.34.095c-.095.014-.203.014-.325.014-.529 0-1.126-.082-1.655-.177-.529-.081-1.33-.258-1.33-.258-.081-.434-.013-.895.15-.881.189.04.325.502.895.84zm-.556-.679l.325-.339c.814-.732 1.398-.895 1.737-.895a.96.96 0 01.909.624c.054.136.095.271.135.393a2.473 2.473 0 00-1.044-.203c-.651 0-1.343.203-2.062.42zm5.616 41.825c-1.004.678-1.94 1.004-2.93 1.004-.923 0-1.818-.271-2.768-.57a13.056 13.056 0 00-.787-.23 4.732 4.732 0 00-1.315-.177c-1.086 0-2.022.353-2.632.665.068-.23.285-1.099.285-1.764.8-.447 1.356-1.085 1.628-1.913.407-1.234.732-3.418.407-5.779a75.759 75.759 0 002.455-.366c.99-.163 1.804-.326 2.401-.475.285-.068.516-.136.719-.203-.027.474-.041.95-.041 1.424 0 1.18.109 2.062.353 2.835.299.923.801 1.723 1.547 2.456 1.194 1.18 2.794 1.438 4.205 1.533.502.04 1.886.217 3.88.515a.766.766 0 01.651.72c.055.976.014 1.56-.04 1.885l-.787-.108c-.651-.706-1.764-1.167-2.849-1.167-1.37 0-2.401.719-2.863 1.94a5.956 5.956 0 00-.786.136c.515-.787.556-1.52.569-1.615l.068-1.696-1.37.95zm-13.634.15a1.899 1.899 0 01-.231-.231c-.013-.027-.027-.041-.04-.068-.177-.285-.122-.584-.082-.896.041-.312.041-.624-.244-.827a.583.583 0 00-.57-.081.715.715 0 00-.434.447c-.04.109-.04.258-.04.434 0 .15.013.312.013.475 0 .285-.027.597-.149.868l-.041.082c-.163.271-.597.61-1.044.61a.802.802 0 01-.584-.244l-1.18.72s-.013 0-.013-.014c-.082-.123-.136-.245-.204-.353a3.537 3.537 0 01-.285-.8c-.217-1.14.461-1.968 1.655-2.24.489-.108.882-.365.733-.759-.095-.258-.258-.352-.502-.352-.258 0-.624.094-1.126.203-.163.027-.312.054-.461.081a3.345 3.345 0 01-.353.028c-.529 0-.868-.258-.868-1.316l-1.018.217c.461-1.615 1.397-2.239 2.374-2.239 1.004 0 2.062.665 2.713 1.574l.407.136.719.244 1.438.488c1.398-1.18.76-4.287.76-4.287s-2.727-1.533-1.818-4.938c0 0 .475-3.202 6.309-3.202.624 0 1.302.041 2.048.123.448.054.855.108 1.221.176 0 0 0 .014.014.014a1.69 1.69 0 00-.109 1.003 1.7 1.7 0 00.895 1.221c.231.123.489.19.76.19.298 0 .583-.081.855-.23 0 .149-.014.285-.027.42-.109.76-.217 1.574-.285 2.429-1.181.596-6.648 1.275-6.648 1.275.529 2.577.19 5.02-.217 6.24-.149.448-.407.8-.732 1.086a2.99 2.99 0 01-.896.542c-.068.896-.135 1.56-.298 2.09-.041.19-.109.352-.19.488-.407.692-1.248.855-2.008.909l.122-1.438c-.04-.082-.285-.258-.339-.299zm1.94-20.024c.231-.367 1.004-.787 1.804-1.249.095-.054.204-.108.312-.176l.448.407c.366.326.746.638 1.126.936l.014.014 1.872 1.953c.488.516.827.91 1.058 1.235l-2.727-.19c-1.343 0-2.428.163-3.31.42.122-.19.217-.407.271-.624.217-1.03-.285-1.994-.868-2.726zm7.746 3.323c-.163-.312-.42-.705-.854-1.234.108.068.23.135.325.19.651.366 1.14.814 1.506 1.302.285.38.475.787.624 1.18.054.15.095.312.122.462a.895.895 0 01-.746.42.738.738 0 01-.366-.095.888.888 0 01-.312-1.289c.027-.04.054-.081.095-.122-.136-.23-.231-.488-.394-.814zM104.934 10.08c.542.366 1.058.787 1.56 1.207.814.678 1.601 1.397 2.455 2.035.272.204 1.099.828 1.75 1.33-.19.203-.366.407-.542.624a9.058 9.058 0 00-1.167 2.062l-1.533-1.452c.163-.42.217-.909.163-1.41 0-.028-.014-.055-.014-.096l-.814.394c.027.61-.203 1.248-.759 1.546a1.03 1.03 0 01-.53.136h-.013l.027-.746c-.271 0-.638-.285-.638-.679 0-.447.285-.692.638-.8v-.868c-.678.122-1.18.529-1.384 1.085l-.895.014c-.041-.679.285-1.29.977-1.52v-.882a2.164 2.164 0 00-1.194.665c-.068.068-.122.15-.19.23l-.678.014c-.027-.65.298-1.234.909-1.438v-.882c-.38.082-.706.231-.991.475h-.637c.013-.42.257-.827.597-1.085.298-.217.678-.34 1.058-.38.122-.013.244-.027.366-.027a2.621 2.621 0 011.479.448zm-1.818-5.427c.515-.882.814-2.008.827-3.174h2.049c.013.149.027.285.027.434 0 2.238-1.791 4.056-4.002 4.056h-.149c.475-.285.895-.719 1.248-1.316zm-9.347 0c.515-.882.814-2.008.827-3.174h2.781c.014 1.166.312 2.292.828 3.174.353.597.773 1.045 1.248 1.316h-1.859c-.474-.488-.868-1.153-1.125-1.94h-.937c-.244.787-.637 1.452-1.126 1.94h-1.899c.489-.285.923-.719 1.262-1.316zm-9.483 0c.516-.882.814-2.008.828-3.174h2.93c.014 1.166.312 2.292.828 3.174.352.597.773 1.031 1.248 1.316h-2.022c-.475-.488-.868-1.153-1.126-1.94h-.936c-.244.787-.637 1.452-1.126 1.94h-1.9c.49-.285.923-.719 1.276-1.316zm-9.252 0c.516-.882.814-2.008.828-3.174h2.686c.013 1.166.312 2.292.827 3.174.353.597.773 1.045 1.248 1.316h-1.899c-.475-.488-.868-1.153-1.126-1.94h-.936c-.244.787-.638 1.452-1.126 1.94h-1.777c.502-.285.936-.719 1.275-1.316zM67.18 1.845c0-.122 0-.244.014-.38h2.103c.013 1.167.312 2.293.827 3.175.353.597.773 1.044 1.248 1.316h-.203c-2.144.013-3.989-1.873-3.989-4.111zm-3.16 11.463c.854-.637 1.641-1.343 2.455-2.034.502-.421 1.017-.842 1.56-1.208a2.408 2.408 0 011.045-.407c.135-.027.285-.04.434-.04.135 0 .271.013.42.027.366.054.733.162 1.018.38.339.244.583.65.597 1.085h-.638a2.4 2.4 0 00-.99-.475v.882c.624.203.95.787.909 1.438l-.679-.014c-.054-.081-.122-.149-.19-.23a2.403 2.403 0 00-1.193-.665v.882c.678.23 1.004.84.976 1.519l-.895-.014c-.204-.57-.706-.963-1.384-1.085v.868c.353.109.638.353.638.8 0 .394-.353.68-.638.68l.027.745h-.013c-.19 0-.353-.054-.53-.135-.555-.299-.772-.95-.759-1.547l-.814-.393c0 .027-.013.054-.013.095-.068.502 0 .99.162 1.41l-1.533 1.466a9.376 9.376 0 00-1.166-2.062 8.133 8.133 0 00-.543-.624 68.656 68.656 0 011.737-1.343zM38.813 53.18c-.122-.828.013-3.772.108-5.454a1.432 1.432 0 011.221-1.33c.76-.108 1.737-.257 2.456-.407 1.14-.244 2.238-.746 2.496-1.56.217-.705.095-.786.027-1.506-.054-.556-.122-1.126-.163-1.682 0-.081-.013-.176-.013-.257-.014-.326 0-.665.04-.99l-.203.121a3.225 3.225 0 01-.678.272 3.05 3.05 0 01-.787.095c-.57 0-1.126-.15-1.628-.462a2.91 2.91 0 01-1.411-2.577c.04-1.886 1.112-3.215 2.143-4.504.489-.61 1.004-1.248 1.384-1.927 1.207-2.17 1.492-4.53.841-7.013-.285-1.086-.936-2.062-1.628-3.107-.258-.393-.502-.76-.746-1.167 0 0-.543.244-.895.163a1.138 1.138 0 01-.299-.136c-.827-.515-1.71-2.618-1.668-5.141.027-2.008.502-3.677 1.438-5.047a11.33 11.33 0 00-.489 1.764 8.109 8.109 0 00-.122 1.98c.04.665.176 1.303.394 1.9a6.853 6.853 0 01-.014-1.9 7.265 7.265 0 01.475-1.79 9.7 9.7 0 01.732-1.452c-.19 1.167-.19 2.347.123 3.812.19.91.583 1.777.922 2.537.312.692.543 1.248.638 1.71.108.501.04.881-.299 1.193.054.095.122.19.177.285.149.23.312.475.474.72.706 1.07 1.438 2.17 1.764 3.418.705 2.713.38 5.4-.936 7.773-.42.76-.963 1.425-1.479 2.076-.963 1.207-1.886 2.347-1.926 3.893a1.888 1.888 0 00.922 1.683c.624.38 1.37.407 2.008.095.014-.014.04-.014.054-.028.489-.257.923-.746 1.18-1.315.014-.027.014-.055.028-.082.312-.909.692-1.804 1.126-2.659 1.275-2.55 2.862-4.938 3.866-7.624.868-2.306.475-5.114.475-5.114-.882.352-2.17.393-2.17.393.04-2.876-6.133-9.55-2.375-17.69.258.42.597.854 1.072 1.302l.339.326V5.59c-1.967-2.036-1.058-3.976-.326-4.627.557.204 1.194.814 1.669 1.56l.828-.271a6.922 6.922 0 00-.692-.963.617.617 0 01.258-.109c.04 0 .094-.013.162-.013 1.235 0 5.874 1.071 6.336 1.316l.407 1.234c1.261.34 2.428 1.018 3.255 1.465-.135.353-.515 1.153-1.275 1.072 0 0 .746.448.597 1.153a6.833 6.833 0 01-.95 1.506l-.76-.76c-.895-.827-1.681-1.126-2.333-1.126-.854 0-1.451.543-1.695 1.167-.38.95-.34 1.71-.204 2.198.109.366.407.665 1.085.719.123.013.258.013.394.013 1.397 0 3.229-.502 3.229-.502.285 1.52.46 1.818-1.71 1.818-.502 0-1.126-.013-1.899-.04l2.17.99c.245-.014.475-.027.706-.027 1.6 0 2.876.475 3.88 1.248.23.176.448.366.651.57.773.787 1.33 1.763 1.723 2.794.108.299.203.597.285.896.42 1.573.475 3.215.258 4.53a6.912 6.912 0 00-.516-.583l-.095-.095c-.651-.637-1.75-1.736-3.066-2.414-.488-.434-.95-.869-1.397-1.343-.963-1.018-1.818-2.144-2.455-3.42.393 1.371 1.058 2.687 1.845 3.894.312.475.637.936.976 1.384.299.122.57.258.841.42 1.154.652 2.13 1.656 2.7 2.226.34.325.61.692.868 1.071.204.299.38.597.57.91.136.23.285.474.42.705.611.99 1.425 1.967 1.886 1.967.163 0 .285-.122.34-.394.244-1.234 1.017-1.777 1.858-1.777.393 0 .8.122 1.167.34l-.841.786c.502.597-.028 1.506-.57 1.805-.584.312-.272.854.149.854a.603.603 0 00.407-.176 1.869 1.869 0 011.262-.489c.95 0 1.885.733 1.763 2.252l-.732-.407c-.245.8-.814 1.14-1.343 1.14-.245 0-.475-.068-.652-.204-.407-.298-.827-.61-1.112-.61a.29.29 0 00-.244.122c-.217.299.013.597.787.977 1.37.678 1.587 2.672-.434 3.052l-.218-1.234c-.094.027-.19.04-.284.04-.584 0-.99-.515-1.059-.895-.095-.556-.067-.895-.095-1.248-.013-.312-.217-.448-.42-.448a.517.517 0 00-.516.489c-.04.583-.027 1.343-1.058 1.52l-.325 1.044c-.977-.34-1.954-1.465-.177-3.365.027-.963-.99-1.52-2.414-2.32a50.437 50.437 0 01-.76-.434l-.407-.244c-.285-.176-1.384-.977-2.347-1.804l-.841.447c.176.15.366.313.583.503.868.718 1.804 1.424 2.157 1.627l.204.123a22.77 22.77 0 01-2.809 2.197c-.366.244-.718.475-1.044.679-.326.203-.638.38-.895.529a5.611 5.611 0 00-1.723 1.478c-.285.367-.502.76-.665 1.153-.163.38-.271.774-.326 1.167-.027.136-.04.258-.054.394-.027.366-.014.719.027 1.058.055.366.095.732.15 1.099.067.556.122 1.099.162 1.655.054.65.082 1.288.082 1.926 0 1.954-.299 3.351-1.655 4.68-.977.964-2.347 1.194-3.677 1.29-.692.04-2.632.325-3.948.528-.76.109-1.33.747-1.37 1.52-.054 1.044-.04 2.415.326 2.876l1.79-.244c.421-.624 1.425-1.113 2.402-1.113.76 0 1.506.299 1.926 1.086.122.23.23.501.285.827.014.095.027.19.04.299l-.57-.231-.325-.136c-.013.082-.027.15-.04.217-.19.787-.597 1.072-1.086 1.072-.23 0-.474-.068-.732-.163a.65.65 0 00-.095-.04c-.461-.19-.787-.34-1.031-.34-.163 0-.285.068-.394.258-.149.258 0 .475.258.651.081.054.19.109.285.15 1.37.57 1.764 1.899.502 3.282l-.95-.84a.81.81 0 01-.434.135c-.461 0-.882-.42-.99-.732-.176-.475.014-1.018.081-1.411.014-.109.027-.218.014-.299a.664.664 0 00-.353-.488.561.561 0 00-.258-.068.532.532 0 00-.244.054.601.601 0 00-.203.163c-.122.15-.15.353-.15.556 0 .109 0 .23-.013.34-.027.19-.082.366-.244.515a2.743 2.743 0 01-.244.176c-.055.027-.313.15-.326.204l-.122 1.33c-.95-.231-1.994-.693-1.737-2.171.041-.245.123-.53.258-.842.04-.108.095-.23.163-.352a2.763 2.763 0 01-1.492-2.09zM54.997 9.456c.488 0 .99.122 1.52.312.57-.353.691-.8.908-.828.163-.013.231.448.15.882 0 0-.8.176-1.33.258-.529.095-1.126.176-1.655.176-.122 0-.23 0-.326-.014-.257-.027-.339-.08-.339-.095v-.013a1.16 1.16 0 01-.054-.366c.34-.217.719-.312 1.126-.312zm-1.045-.584c.028-.122.082-.257.136-.393a.958.958 0 01.909-.624c.353 0 .936.15 1.736.895l.326.34c-.719-.231-1.424-.421-2.075-.421-.353 0-.692.068-1.032.203zm10.541 38.38l1.452-.49.719-.243.407-.136c.651-.923 1.71-1.574 2.713-1.574.977 0 1.913.624 2.374 2.239l-1.017-.217c0 1.044-.34 1.316-.869 1.316-.108 0-.23-.014-.352-.028-.15-.027-.299-.054-.462-.081-.501-.095-.868-.203-1.126-.203-.244 0-.406.094-.501.352-.136.394.244.638.732.76 1.194.271 1.872 1.112 1.655 2.238a3 3 0 01-.285.8c-.054.123-.122.231-.203.354 0 0-.014 0-.014.013l-1.18-.719a.8.8 0 01-.583.244c-.448 0-.882-.325-1.045-.61a20.578 20.578 0 00-.04-.082c-.136-.271-.15-.583-.15-.868 0-.163.014-.325.014-.475 0-.176 0-.325-.041-.434a.746.746 0 00-.434-.447.586.586 0 00-.57.081c-.285.203-.285.515-.244.827.04.326.095.624-.081.896-.014.027-.028.04-.041.068-.068.081-.15.162-.23.23-.055.041-.3.217-.3.285l.123 1.438c-.76-.054-1.601-.217-2.008-.909a1.747 1.747 0 01-.19-.488c-.15-.53-.217-1.18-.298-2.09a2.985 2.985 0 01-.896-.542 2.453 2.453 0 01-.732-1.085c-.407-1.221-.76-3.663-.217-6.24 0 0-5.467-.68-6.648-1.276a50.327 50.327 0 00-.285-2.428c-.013-.136-.027-.272-.027-.42a1.658 1.658 0 001.614.04c.475-.244.801-.692.896-1.221.068-.34.027-.692-.108-1.004 0 0 0-.014.013-.014a20.25 20.25 0 011.221-.176 18.944 18.944 0 012.048-.122c5.834 0 6.309 3.202 6.309 3.202.909 3.405-1.818 4.938-1.818 4.938s-.678 3.12.705 4.3zM50.127 51.66c0 .095.054.828.57 1.615a6.378 6.378 0 00-.787-.136c-.461-1.221-1.492-1.94-2.863-1.94-1.085 0-2.197.461-2.849 1.167l-.786.108c-.055-.339-.095-.922-.041-1.885a.767.767 0 01.651-.72c1.994-.298 3.378-.488 3.88-.515 1.41-.095 3.012-.353 4.206-1.533.746-.733 1.261-1.547 1.546-2.456.244-.773.353-1.641.353-2.835 0-.475-.014-.95-.041-1.424.203.067.448.135.719.203.597.15 1.41.312 2.401.475.91.15 1.818.285 2.456.366-.326 2.374-.014 4.545.407 5.78.271.813.827 1.465 1.628 1.912 0 .869.27 1.737.27 1.764-.61-.312-1.546-.665-2.63-.665-.449 0-.896.068-1.317.176-.271.082-.529.163-.787.231-.95.285-1.831.57-2.767.57-.99 0-1.926-.312-2.93-1.004l-1.398-.95.109 1.696zm4.992-16.347c.299.461.136 1.058-.312 1.289a.739.739 0 01-.366.095.894.894 0 01-.746-.42c.027-.15.081-.313.122-.462.135-.407.339-.8.624-1.18a4.782 4.782 0 011.506-1.303c.095-.054.203-.122.325-.19-.434.53-.692.91-.854 1.235-.177.325-.258.583-.38.827.013.027.054.068.081.109zm5.467-5.277l.448-.407c.108.054.203.122.312.176.8.448 1.56.882 1.804 1.248-.583.72-1.099 1.696-.84 2.713.053.217.148.434.27.624-.881-.257-1.967-.42-3.31-.42l-2.726.19c.23-.326.556-.72 1.058-1.235l1.872-1.953.013-.014a30.5 30.5 0 001.1-.922zm-12.1 29.018c-1.398 1.492-3.284 2.184-5.224 2.184-3.323 0-6.755-2.049-7.963-5.657 0 0 1.642.556 3.758.8-.095.584-.04 1.1.176 1.56.462.977 1.479 1.33 2.198 1.52l.963.244.095-.99.095-.923a3.12 3.12 0 00.258-.19c.013.082.04.163.068.244.23.638.963 1.29 1.79 1.29.082 0 .163 0 .245-.014l.583.515.624.556.57-.624c.8-.868 1.126-1.845.922-2.74a2.456 2.456 0 00-.339-.8c.502 0 .95-.19 1.289-.543.122-.136.244-.285.325-.461l.055.013 1.316.543-.15-1.411c0-.054-.013-.095-.013-.15.583.096 1.289.313 2.184.652.122.068.258.122.38.163.068.027.122.054.19.068-.285.162-.57.325-.828.488-1.289.827-2.17 1.723-2.632 2.659-.285.326-.596.651-.936 1.004zm10.052-2.944c-.936.787-2.239.95-3.419 1.03-3.581.272-5.047 3.501-5.047 3.501a2.594 2.594 0 01.041-2.09c.434-.976 1.411-1.817 2.442-2.468 1.723-1.085 3.622-1.696 3.622-1.696-.339.027-.65.04-.95.04-.745 0-1.356-.094-1.858-.243a4.439 4.439 0 01-.76-.299c-1.587-.814-1.641-2.265-1.641-2.265 1.261.854 2.374 1.153 3.405 1.153 1.33 0 2.537-.475 3.771-.828.367-.108.733-.15 1.086-.15 1.017 0 1.899.38 2.4.652a5.078 5.078 0 00-1.6 1.533 8.925 8.925 0 00-.434.76c-.393.556-.651 1.044-1.058 1.37zm5.955-1.235c-1.248.285-2.414 1.004-2.808 2.293-.23.746-.19 1.56-.15 2.334 0 0-2.55-1.452-1.193-4.315.109-.23.258-.488.42-.746a4.321 4.321 0 011.086-1.126c.136-.081.271-.149.42-.23l.38-.19c.651.556 1.533.692 2.184.732l.99.068-.08-.99-.082-1.031c.109-.095.217-.204.326-.34 0-.013.013-.013.013-.027.04.123.095.245.163.353.298.516 1.004 1.031 1.777 1.031.204 0 .394-.04.583-.108l.448.271c-.027.027-.068.054-.095.081-1.451 1.37-2.523 1.52-4.382 1.94zm38.487 4.721s.733-3.242-.827-4.273c-2.497-1.628-3.826-.23-6.62-2.36-.028-.041-.068-.068-.096-.109-1.315-1.33-2.767-2.17-4.083-2.618-.909.149-1.913.258-3.025.312a11.903 11.903 0 011.913.258c.664.149 1.37.38 2.075.719.855.42 1.71 1.098 2.51 1.912.054.055.095.095.136.15 1.736 1.885 1.275 3.73 1.275 3.73s-2.225-2.957-5.549-2.957c-1.587 0-2.957.529-3.662.882l-.516.271-.515-.271c-.706-.34-2.076-.882-3.663-.882-3.324 0-5.549 2.957-5.549 2.957s-.475-1.845 1.275-3.73c.041-.055.095-.095.136-.15.8-.814 1.655-1.505 2.51-1.912.705-.34 1.41-.57 2.075-.72.434-.094.855-.162 1.248-.203.231-.027.462-.04.679-.054a27.277 27.277 0 01-3.04-.312c-1.315.447-2.767 1.275-4.082 2.618a.681.681 0 00-.095.108c-2.795 2.13-4.124.733-6.62 2.361-1.56 1.017-.828 4.273-.828 4.273s-3.297-2.496-.312-5.792c.624-.692 1.383-1.262 1.94-1.642.461-.312.787-.488.787-.488s-.272-.027-.624-.095c-.19-.027-.421-.082-.665-.136a2.285 2.285 0 00-.15-.04c.123-.584.082-1.154-.121-1.656a2.52 2.52 0 00-.34-.583c1.29.353 2.876.624 4.68.624.693 0 1.412-.15 2.171-.23.258-.028.543-.041.828-.041.095 0 .19 0 .285.013a18.836 18.836 0 01-1.9-.705c-.46.068-.922.136-1.383.136-1.425 0-2.7-.177-3.799-.435.204-.203.326-.434.407-.692l.122.028 1.384.298-.394-1.37c-.732-2.578-2.468-2.849-3.188-2.849-1.153 0-2.4.665-3.228 1.71l-1.764.596c-.393-.719-.366-1.994-.258-2.794a5.24 5.24 0 001.167-1.208c.624-.882 1.248-2.36.706-4.422-.055-.272-.34-1.316-1.452-2.239l.203-.665.177-.583a1.79 1.79 0 00.651-.448c.244.502.719.964 1.316 1.113l.095.515.15.896.88-.163c1.222-.23 2.036-.99 2.185-2.021a2.408 2.408 0 00-.217-1.37 2.143 2.143 0 001.194-.76l1.153.65.108-1.383c.095-1.207-.339-1.967-.719-2.374a2.624 2.624 0 00-2.157-.814c.014-.068.041-.136.055-.203.04-.231.04-.462 0-.692l.393-.367.868-.814-1.017-.61a3.14 3.14 0 00-1.628-.475c-.923 0-1.98.475-2.51 1.75a9.577 9.577 0 01-.814-1.126l-.366-.61a19.6 19.6 0 00-.434-.706v-.013c.447-1.683.434-3.989-.23-6.132l1.668-1.587c.163.19.366.339.583.447.312.163.597.244.923.244h.013l.882-.013v-1.085c.027-.028.068-.055.095-.082.244-.23.393-.515.448-.841l.814.014.814.013.04-.814a3.035 3.035 0 00-.054-.705h.299l.813.013.041-.814a2.575 2.575 0 00-.163-1.03h.896l-.027-.869a2.214 2.214 0 00-.936-1.736c-.502-.367-1.072-.502-1.52-.543V6.81h33.156v1.966c-.448.041-1.045.177-1.561.557-.569.42-.922 1.071-.936 1.736l-.027.868h.896c-.122.312-.19.665-.163 1.031l.041.814.814-.013h.298c-.054.217-.068.461-.054.705l.04.814.814-.013.814-.014c.055.312.204.61.448.841.027.027.068.054.095.081v1.086l.882.013h.013c.326 0 .611-.081.923-.244.217-.122.42-.271.583-.448l1.669 1.588c-.665 2.143-.692 4.45-.231 6.132v.013c-.149.23-.298.475-.434.706l-.366.61a9.561 9.561 0 01-.814 1.14c-.529-1.276-1.587-1.75-2.51-1.75-.556 0-1.112.162-1.628.474l-1.017.611.868.814.393.366c-.04.217-.04.448 0 .692.014.068.028.136.055.204-.082 0-.15-.014-.231-.014-.746 0-1.452.299-1.926.828-.38.42-.814 1.166-.719 2.374l.108 1.383 1.153-.65a2.3 2.3 0 001.194.759 2.392 2.392 0 00-.217 1.37c.149 1.045.963 1.804 2.184 2.022l.882.162.149-.895.095-.516a2.055 2.055 0 001.316-1.112c.163.176.38.326.651.448l.149.488.028.095.203.665c-1.112.936-1.397 1.967-1.451 2.238-.543 2.062.081 3.541.705 4.423.407.583.855.977 1.167 1.207.108.8.135 2.076-.258 2.795l-1.764-.597c-.841-1.045-2.075-1.71-3.228-1.71-.719 0-2.456.272-3.188 2.85l-.394 1.37 1.384-.299.122-.027c.081.244.203.489.407.692a17.429 17.429 0 01-3.799.434c-.46 0-.922-.068-1.383-.136-.57.245-1.194.489-1.9.706h.272c.285 0 .57.013.827.04.76.095 1.479.231 2.17.231 1.805 0 3.392-.271 4.681-.624a2.244 2.244 0 00-.339.584c-.203.501-.244 1.071-.122 1.655-.054.013-.095.027-.149.04-.245.055-.475.109-.665.136-.366.068-.583.081-.583.081s.325.177.786.489c.557.38 1.303.95 1.94 1.641 3.053 3.283-.244 5.78-.244 5.78zm8.465-.094c.041-.774.068-1.588-.149-2.334-.393-1.289-1.56-1.994-2.808-2.293-1.859-.434-2.93-.57-4.382-1.913-.027-.027-.068-.054-.095-.08l.448-.272c.176.068.38.108.583.108.787 0 1.493-.515 1.777-1.03.068-.123.122-.231.163-.353 0 .013.014.013.014.027.108.135.217.244.325.339l-.081 1.03-.081.991.99-.068c.651-.04 1.519-.176 2.184-.732l.38.19c.149.081.285.149.42.23.38.272.76.624 1.086 1.126.176.258.312.502.42.746 1.357 2.836-1.194 4.288-1.194 4.288zm11.437 1.153s-1.452-3.23-5.047-3.5c-1.18-.096-2.469-.258-3.419-1.032-.407-.339-.664-.827-1.071-1.37a7.34 7.34 0 00-.434-.76 4.809 4.809 0 00-1.601-1.532c.502-.272 1.37-.652 2.401-.652.353 0 .705.041 1.085.15 1.248.352 2.442.827 3.772.827 1.031 0 2.143-.285 3.405-1.153 0 0-.068 1.452-1.642 2.266a4.436 4.436 0 01-.76.298c-.501.15-1.125.244-1.858.244-.299 0-.611-.013-.95-.04 0 0 1.9.61 3.622 1.695 1.045.665 2.008 1.493 2.442 2.47.299.637.367 1.329.055 2.089zm6.837.583c-1.94 0-3.839-.692-5.223-2.184-.339-.353-.638-.692-.936-.99-.461-.95-1.343-1.832-2.632-2.66a15.11 15.11 0 00-.827-.488c.067-.027.122-.054.189-.068.136-.054.258-.108.38-.163.896-.352 1.601-.556 2.184-.65 0 .054-.013.094-.013.149l-.149 1.41 1.316-.542.054-.014c.095.177.203.326.325.461.34.353.787.543 1.289.543a2.456 2.456 0 00-.339.8c-.203.896.136 1.873.923 2.74l.569.625.624-.556.584-.516c.081.014.163.014.244.014.827 0 1.56-.651 1.791-1.289.027-.081.054-.163.067-.244.095.068.177.135.258.19l.095.922.095.99.963-.244c.719-.176 1.737-.542 2.198-1.52.217-.46.271-.976.176-1.56 2.103-.243 3.758-.8 3.758-.8-1.221 3.609-4.653 5.644-7.963 5.644zM55.865 3.92c-1.234.339-2.794.013-2.794.013.95.936 1.261 1.506 1.261 1.506 1.248.068 1.533-.746 1.533-1.52zm61.251 0c0 .773.285 1.587 1.533 1.533 0 0 .326-.57 1.262-1.506 0 0-1.56.312-2.795-.027zm.746 16.713l.651-1.099a17.56 17.56 0 00.964-1.885c.271-.651.501-1.303.705-1.967.217-.652.407-1.316.597-1.981a47.001 47.001 0 01-.923 1.845 24.81 24.81 0 01-.99 1.777c-.366.57-.76 1.099-1.194 1.614-.38.462-.787.937-1.18 1.398.448.054.909.135 1.37.298zM53.505 17.65c.271.65.61 1.289.963 1.885l.651 1.1a5.044 5.044 0 011.37-.286c-.393-.46-.8-.936-1.18-1.397a19.023 19.023 0 01-1.194-1.614 24.906 24.906 0 01-.99-1.778c-.312-.61-.61-1.234-.923-1.845.19.665.394 1.316.597 1.981.204.651.434 1.303.706 1.954zm-.204 3.934c-1.044-1.506-2.048-3.039-2.89-4.653a20.246 20.246 0 01-1.193-2.727c-.34-.936-.61-1.9-.828-2.876.109 1.004.258 1.994.489 2.984.23.99.542 1.954.909 2.903.366.95.787 1.873 1.22 2.782.353.719.72 1.424 1.086 2.13.353-.109.76-.285 1.207-.543zm67.559.543c.38-.706.746-1.411 1.086-2.13.447-.91.868-1.832 1.221-2.782.366-.95.664-1.926.908-2.903.231-.99.394-1.98.489-2.984-.217.977-.489 1.94-.828 2.876a24.309 24.309 0 01-1.194 2.727c-.841 1.614-1.845 3.147-2.889 4.653.475.258.868.434 1.207.543zM52.216 69.934c-1.058 0-1.845.407-2.36 1.22-.475-.813-1.208-1.22-2.184-1.22-.977 0-1.71.38-2.198 1.126v-.923h-1.669v7.692h1.669v-4.314c0-.664.163-1.166.475-1.519.312-.34.732-.515 1.234-.515.461 0 .814.149 1.072.434.258.298.38.705.38 1.234v4.667h1.668v-4.314c0-.678.15-1.18.448-1.52.299-.339.705-.501 1.221-.501.461 0 .828.149 1.099.434.271.298.407.705.407 1.234v4.667h1.668V73.04c0-.95-.27-1.71-.8-2.28-.556-.542-1.262-.827-2.13-.827zM141.236 69.934c-1.085 0-1.885.393-2.387 1.18v-4.07h-1.669v10.772h1.669v-4.124c0-.746.176-1.303.542-1.669.353-.366.828-.542 1.411-.542.529 0 .95.149 1.262.46.312.313.461.747.461 1.33v4.558h1.669v-4.72c0-.99-.272-1.764-.814-2.32-.556-.57-1.262-.855-2.144-.855zM28.394 73.841h3.608a2.911 2.911 0 01-1.153 1.79c-.596.448-1.383.665-2.333.665-1.194 0-2.157-.366-2.89-1.098-.732-.733-1.098-1.642-1.098-2.754 0-1.113.366-2.035 1.099-2.768.732-.732 1.655-1.112 2.78-1.112.692 0 1.33.163 1.9.475.57.311.99.732 1.275 1.234l1.22-1.316a5.22 5.22 0 00-1.64-1.424c-.828-.462-1.75-.692-2.755-.692-1.6 0-2.943.542-4.029 1.628-1.085 1.085-1.628 2.401-1.628 3.961 0 1.574.543 2.89 1.628 3.975 1.086 1.072 2.456 1.614 4.125 1.614 1.573 0 2.848-.475 3.812-1.41.976-.937 1.465-2.144 1.465-3.623v-.719h-5.386v1.574zM150 71.738v-1.6h-1.913V67.98h-1.668v2.157h-1.411v1.601h1.411v3.69c0 1.004.271 1.696.827 2.076.556.38 1.465.488 2.741.325v-1.492a9.514 9.514 0 01-1.059.014c-.284-.014-.502-.095-.637-.23-.149-.137-.217-.367-.217-.693v-3.69H150zM38.8 69.934c-1.194 0-2.171.393-2.93 1.167-.747.773-1.127 1.736-1.127 2.89 0 1.166.38 2.143 1.153 2.902.773.76 1.777 1.153 3.04 1.153 1.329 0 2.373-.46 3.12-1.356l-1.127-1.126c-.447.638-1.099.95-1.98.95-.638 0-1.18-.163-1.615-.475-.447-.312-.719-.76-.84-1.343h6.131c.04-.285.068-.516.068-.692 0-1.126-.366-2.09-1.085-2.876-.746-.8-1.683-1.194-2.809-1.194zm-2.334 3.405c.109-.583.38-1.045.787-1.384.407-.339.922-.502 1.533-.502a2.28 2.28 0 011.424.475c.407.312.665.787.774 1.411h-4.518zM60.329 69.934c-1.194 0-2.171.393-2.93 1.167-.76.773-1.14 1.736-1.14 2.89 0 1.166.38 2.143 1.153 2.902.773.76 1.777 1.153 3.039 1.153 1.33 0 2.374-.46 3.12-1.356l-1.126-1.126c-.448.638-1.099.95-1.98.95-.638 0-1.181-.163-1.615-.475-.448-.312-.72-.76-.841-1.343h6.132c.04-.285.067-.516.067-.692 0-1.126-.366-2.09-1.085-2.876-.746-.8-1.668-1.194-2.794-1.194zm-2.347 3.405c.108-.583.38-1.045.787-1.384.407-.339.922-.502 1.532-.502a2.28 2.28 0 011.425.475c.407.312.665.787.773 1.411h-4.517zM69.01 69.934c-1.193 0-2.17.393-2.93 1.167-.76.773-1.14 1.736-1.14 2.89 0 1.166.38 2.143 1.154 2.902.773.76 1.777 1.153 3.039 1.153 1.33 0 2.374-.46 3.12-1.356l-1.126-1.126c-.448.638-1.099.95-1.98.95-.638 0-1.18-.163-1.615-.475-.448-.312-.719-.76-.841-1.343h6.132c.04-.285.068-.516.068-.692 0-1.126-.367-2.09-1.086-2.876-.732-.8-1.655-1.194-2.794-1.194zm-2.333 3.405c.109-.583.38-1.045.787-1.384.407-.339.923-.502 1.533-.502a2.28 2.28 0 011.425.475c.407.312.664.787.773 1.411h-4.518zM91.598 69.934c-1.194 0-2.17.393-2.93 1.167-.76.773-1.14 1.736-1.14 2.89 0 1.166.38 2.143 1.153 2.902.774.76 1.778 1.153 3.04 1.153 1.329 0 2.373-.46 3.12-1.356l-1.126-1.126c-.448.638-1.1.95-1.981.95-.638 0-1.18-.163-1.615-.475-.447-.312-.719-.76-.84-1.343h6.131c.04-.285.068-.516.068-.692 0-1.126-.366-2.09-1.085-2.876-.733-.8-1.669-1.194-2.795-1.194zm-2.333 3.405c.108-.583.38-1.045.787-1.384.407-.339.922-.502 1.533-.502a2.28 2.28 0 011.424.475c.407.312.665.787.773 1.411h-4.517zM124.089 69.934c-1.194 0-2.171.393-2.93 1.167-.76.773-1.14 1.736-1.14 2.89 0 1.166.38 2.143 1.153 2.902.773.76 1.777 1.153 3.039 1.153 1.329 0 2.374-.46 3.12-1.356l-1.126-1.126c-.448.638-1.099.95-1.98.95-.638 0-1.181-.163-1.615-.475-.448-.312-.719-.76-.841-1.343h6.132c.041-.285.068-.516.068-.692 0-1.126-.367-2.09-1.086-2.876-.732-.8-1.655-1.194-2.794-1.194zm-2.334 3.405c.109-.583.38-1.045.787-1.384.407-.339.923-.502 1.533-.502.543 0 1.018.163 1.425.475.407.312.664.787.773 1.411h-4.518zM84.978 67.98h-1.669v2.157H81.9v1.601h1.41v3.69c0 1.004.272 1.696.828 2.076.556.38 1.465.488 2.74.325v-1.492c-.42.027-.773.027-1.058.014-.285-.014-.502-.095-.638-.23-.149-.137-.217-.367-.217-.693v-3.69h1.913v-1.6h-1.913l.014-2.158c-.014 0 0 0 0 0zM106.534 74.153c0 .651-.19 1.18-.583 1.574-.38.393-.963.583-1.736.583-.774 0-1.343-.19-1.737-.583-.38-.394-.583-.91-.583-1.574v-7.095h-1.777v7.203c0 1.154.38 2.063 1.139 2.754.76.679 1.737 1.018 2.944 1.018 1.207 0 2.184-.34 2.944-1.018.76-.678 1.139-1.6 1.139-2.754v-7.203h-1.777v7.095h.027zM112.45 67.98h-1.669v2.157h-1.411v1.601h1.411v3.69c0 1.004.271 1.696.828 2.076.556.38 1.465.488 2.74.325v-1.492a9.496 9.496 0 01-1.058.014c-.285-.014-.502-.095-.638-.23-.149-.137-.217-.367-.217-.693v-3.69h1.913v-1.6h-1.913V67.98h.014zM78.127 69.934c-1.085 0-1.886.393-2.388 1.18v-.99h-1.668v7.692h1.668v-4.124c0-.746.177-1.303.543-1.669.353-.366.828-.542 1.41-.542.53 0 .95.149 1.263.46.312.313.46.747.46 1.33v4.558h1.67v-4.72c0-.99-.272-1.764-.814-2.32-.557-.57-1.262-.855-2.144-.855zM117.387 71.426v-1.289h-1.668v7.692h1.668v-3.88c0-.786.231-1.356.706-1.695.475-.34 1.031-.489 1.668-.448v-1.804c-1.166 0-1.953.475-2.374 1.424zM135.01 75.157c-.353.733-1.031 1.22-1.859 1.343h-.04a2.87 2.87 0 01-.353.027c-1.357 0-2.401-1.044-2.401-2.537 0-1.492 1.044-2.537 2.401-2.537.122 0 .231.014.339.027h.041a2.419 2.419 0 011.858 1.303l1.113-1.113c-.733-1.058-1.954-1.723-3.351-1.723-2.252 0-4.043 1.764-4.043 4.057 0 2.279 1.791 4.042 4.043 4.042a4.061 4.061 0 003.364-1.75l-1.112-1.14z"
                    fill="#C00"
                />
            </G>
            <Defs>
                <ClipPath id="prefix__clip0">
                    <Path fill="#fff" d="M0 0h150v80H0z" />
                </ClipPath>
            </Defs>
        </Svg>
    )
}


const styles = StyleSheet.create({
    container: {
        flexDirection: 'row',
        justifyContent: 'flex-end',
        width: 160,
        marginLeft: 20,
        marginBottom: 20
    },
    logo: {
        width: 150,
        height: 90,
        marginLeft: 10
    }

});
